-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE procedure [C6Mart].[DM_ALBERO_PRODOTTI]
AS
BEGIN
	SET NOCOUNT ON;
	DECLARE @ID_ELAB INT
	SET @ID_ELAB = C6MART.GETIDELAB()
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'DM_ALBERO_PRODOTTI',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	TRUNCATE TABLE C6MART.ALBERO_PRODOTTI
	INSERT INTO [C6Mart].[ALBERO_PRODOTTI]
		   ([DESCRIZIONE_ORIGINALE]
		   ,[ALBERO_GERARCHIA_1]
		   ,[ALBERO_GERARCHIA_2]
		   ,[ALBERO_GERARCHIA_3]
		   ,[ID_ELAB])
	SELECT [DESCRIZIONE_ORIGINALE]
		  ,[ALBERO_GERARCHIA_1]
		  ,[ALBERO_GERARCHIA_2]
		  ,[ALBERO_GERARCHIA_3]
		  , @ID_ELAB AS ID_ELAB
	FROM [C6Staging].[S4_S5_S13_TRAD_UNTIL_LIV3]
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'DM_ALBERO_PRODOTTI' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'DM_ALBERO_PRODOTTI'
		)
END